#!/bin/ksh
################################################################################
# user_emp.cmd                                                 Rags Int., Inc. #
#               sample syntax for cmfreport listings                           #
#                                                                              #
#  Rags Int., Inc.                                              December 1999  #
#  (c) RISC Application Growth Solutions International, Incorporated  1999     #
#              (817) 267-2554       rags@compuserve.com                        #
#                                                                              #
################################################################################
typeset SCRIPT=${0##*/};                # this script name
typeset CMFFILE=${1:-"ragsinc.dat"};    # CMF Data Input File
typeset CMFFILE=${1:-"user_emp.dat"};   # CMF Data Input File

if [ "${CMFFILE}" = "" ];then
   print "[${SCRIPT}]: You must specify an input file name";
   exit 1;
fi

if [ ! -f  "${CMFFILE}" ];then
   print "[${SCRIPT}]: File \"${CMFFILE}\" does not exist";
   exit 1;
fi

print "[${SCRIPT}]: Processing File \"${CMFFILE}\"";
#-----------------------------------------------------------------------#
print "[${SCRIPT}]: Test Case 1 - Show User Data by Field";
./cmfreport -d -w 132 \
            -s TranId,TranType,StartTime,ElapsedTime \
            -s UserClk1T,UserClk1Ct,UserCtr1,UserCtr3 \
            -f ${CMFFILE} > ${CMFFILE}.fmt1;
#-----------------------------------------------------------------------#
print "[${SCRIPT}]: Test Case 2 - Show All User Data";
./cmfreport -d -w 132 \
            -s TranId,TranType,StartTime,ElapsedTime \
            -s UserData \
            -f ${CMFFILE} > ${CMFFILE}.fmt2;
#-----------------------------------------------------------------------#

exit $?;

